<script>
// import {
//   BAvatar,
//   BCard,
//   BCardText,
//   BCol,
//   BImg,
//   BRow,
//   BTab,
//   BTabs,
// } from 'bootstrap-vue'
import FaqQuestionAnswer from './FaqQuestionAnswer'
import GitApiCall from '@/api/gitApi'

export default {
  name: 'Faq',
  components: {
    BCard,
    BRow,
    BCol,
    BAvatar,
    BCardText,
    BTabs,
    BTab,
    BImg,
    FaqQuestionAnswer,
  },
  data() {
    return {
      faqData: [],
    }
  },
  mounted() { // First render
    this.getFaqContent()
  },
  methods: {
    async getFaqContent() {
      const git = new GitApiCall()
      try {
        const response = await git.getFileContent(git.uiBackendProject, 'faq.json/raw?ref=main')

        this.faqData = response.data
        console.log('getFaqContent this.faqData:', this.faqData)
      }
      catch (error) {
        console.error('ERROR getFaqContent', error)
      }
    },
  },
}
</script>

<template>
  <div>
    <section id="faq-tabs">
      <BTabs
        vertical
        content-class="col-12 col-md-8 col-lg-9"
        pills
        nav-wrapper-class="faq-navigation col-md-4 col-lg-3 col-12"
        nav-class="nav-left"
      >
        <!-- payment tab -->
        <BTab
          v-for="(faqObject, faqName, index) in faqData"
          :key="faqName"
          :active="!index"
        >
          <!-- title -->
          <template #title>
            <FeatherIcon
              :icon="faqObject.icon"
              size="18"
              class="mr-1"
            />
            <span class="font-weight-bold">{{ faqObject.title }}</span>
          </template>

          <FaqQuestionAnswer :options="faqObject" />
        </BTab>
        <!-- / payment tab -->

        <!-- sitting lady image -->
        <template #tabs-end>
          <BImg
            fluid
            :src="require('@images/illustration/faq-illustrations.svg')"
            class="d-none d-md-block mt-auto"
          />
        </template>
        <!-- / sitting lady image -->
      </BTabs>
    </section>
    <!-- / frequently asked questions tabs pills -->

    <!-- contact us -->
    <section class="faq-contact">
      <BRow class="mt-5 pt-75 text-center">
        <BCol cols="12">
          <h2>You still have a question?</h2>
          <BCardText class="mb-3">
            If you cannot find a question in our FAQ, you can always contact us. We will answer to you shortly!
          </BCardText>
        </BCol>
        <BCol sm="6">
          <BCard class="shadow-none py-1 faq-contact-card">
            <BAvatar
              size="42"
              rounded
              variant="light-primary"
              class="mb-2"
            >
              <FeatherIcon
                icon="PhoneCallIcon"
                size="18"
              />
            </BAvatar>
            <h4>+ (810) 2548 2568</h4>
            <span class="text-body">We are always happy to help!</span>
          </BCard>
        </BCol>
        <BCol sm="6">
          <BCard class="shadow-none py-1 faq-contact-card">
            <BAvatar
              size="42"
              rounded
              variant="light-primary"
              class="mb-2"
            >
              <FeatherIcon
                icon="MailIcon"
                size="18"
              />
            </BAvatar>
            <h4>hello@help.com</h4>
            <span class="text-body">Best way to get answer faster!</span>
          </BCard>
        </BCol>
      </BRow>
    </section>
    <!-- / contact us -->
  </div>
</template>

<style lang="scss">
@import '@core/scss/vue/pages/page-faq.scss';
</style>
